#pragma once
#include "Str.h"

namespace storm {

#if defined(WINDOWS)

	// Get message for system error code.
	Str *systemErrorMessage(Engine &e, DWORD lastError);

	// Get a message from hresult.
	Str *hresultErrorMessage(Engine &e, HRESULT result);

#elif defined(POSIX)

	// Get message from errno.
	Str *systemErrorMessage(Engine &e, int error);

#else
#error "Unknown OK"
#endif

}
